Skip to content
Start here

Outgoing

Primary Zone Configuration Details
client.dns.zoneTransfers.outgoing.get(OutgoingGetParams { zone_id } params, RequestOptionsoptions?): OutgoingGetResponse { id, checked_time, created_time, 4 more }
GET/zones/{zone_id}/secondary_dns/outgoing
Create Primary Zone Configuration
client.dns.zoneTransfers.outgoing.create(OutgoingCreateParams { zone_id, name, peers } params, RequestOptionsoptions?): OutgoingCreateResponse { id, checked_time, created_time, 4 more }
POST/zones/{zone_id}/secondary_dns/outgoing
Update Primary Zone Configuration
client.dns.zoneTransfers.outgoing.update(OutgoingUpdateParams { zone_id, name, peers } params, RequestOptionsoptions?): OutgoingUpdateResponse { id, checked_time, created_time, 4 more }
PUT/zones/{zone_id}/secondary_dns/outgoing
Delete Primary Zone Configuration
client.dns.zoneTransfers.outgoing.delete(OutgoingDeleteParams { zone_id } params, RequestOptionsoptions?): OutgoingDeleteResponse { id }
DELETE/zones/{zone_id}/secondary_dns/outgoing
Disable Outgoing Zone Transfers
client.dns.zoneTransfers.outgoing.disable(OutgoingDisableParams { zone_id, body } params, RequestOptionsoptions?): DisableTransfer
POST/zones/{zone_id}/secondary_dns/outgoing/disable
Enable Outgoing Zone Transfers
client.dns.zoneTransfers.outgoing.enable(OutgoingEnableParams { zone_id, body } params, RequestOptionsoptions?): EnableTransfer
POST/zones/{zone_id}/secondary_dns/outgoing/enable
Force DNS NOTIFY
client.dns.zoneTransfers.outgoing.forceNotify(OutgoingForceNotifyParams { zone_id, body } params, RequestOptionsoptions?): OutgoingForceNotifyResponse
POST/zones/{zone_id}/secondary_dns/outgoing/force_notify
ModelsExpand Collapse
DisableTransfer = string

The zone transfer status of a primary zone.

EnableTransfer = string

The zone transfer status of a primary zone.

Outgoing { id, checked_time, created_time, 4 more }
id?: string
checked_time?: string

The time for a specific event.

created_time?: string

The time for a specific event.

last_transferred_time?: string

The time for a specific event.

name?: string

Zone name.

peers?: Array<string>

A list of peer tags.

soa_serial?: number

The serial number of the SOA for the given zone.

OutgoingStatus = string | null

The zone transfer status of a primary zone.

OutgoingGetResponse { id, checked_time, created_time, 4 more }
id?: string
checked_time?: string

The time for a specific event.

created_time?: string

The time for a specific event.

last_transferred_time?: string

The time for a specific event.

name?: string

Zone name.

peers?: Array<string>

A list of peer tags.

soa_serial?: number

The serial number of the SOA for the given zone.

OutgoingCreateResponse { id, checked_time, created_time, 4 more }
id?: string
checked_time?: string

The time for a specific event.

created_time?: string

The time for a specific event.

last_transferred_time?: string

The time for a specific event.

name?: string

Zone name.

peers?: Array<string>

A list of peer tags.

soa_serial?: number

The serial number of the SOA for the given zone.

OutgoingUpdateResponse { id, checked_time, created_time, 4 more }
id?: string
checked_time?: string

The time for a specific event.

created_time?: string

The time for a specific event.

last_transferred_time?: string

The time for a specific event.

name?: string

Zone name.

peers?: Array<string>

A list of peer tags.

soa_serial?: number

The serial number of the SOA for the given zone.

OutgoingDeleteResponse { id }
id?: string
OutgoingForceNotifyResponse = string

When force_notify query parameter is set to true, the response is a simple string.

OutgoingStatus

Get Outgoing Zone Transfer Status
client.dns.zoneTransfers.outgoing.status.get(StatusGetParams { zone_id } params, RequestOptionsoptions?): EnableTransfer
GET/zones/{zone_id}/secondary_dns/outgoing/status